Vulnerability Assessment & Network Security Forums



If through a vulnerability assessment, a network security issue is detected for the vulnerability below, applying the appropriate security patches in a timely matter is very important.  If you have detected that your system has already been compromised, following CERT's Network Security recovery document will assist with recommended steps for system recovery.


Home >> Browse Vulnerability Assessment Database >> Windows >> WinAMP3 buffer overflow


Vulnerability Assessment Details

WinAMP3 buffer overflow

Vulnerability Assessment Summary
Acertains the version of WinAMP

Detailed Explanation for this Vulnerability Assessment

The remote host is using WinAMP3, a popular media player
which handles many files format (mp3, wavs and more...)

This version has a buffer overflow which may permit a possible hacker
to execute arbitrary code on this host, with the rights of the user
running WinAMP.

To perform an attack, the attack would have to send a malformed
playlist (.b4s) to the user of this host who would then have to
load it by double clicking on it.

Since .b4s are XML-based files, most antivirus programs will let
them in.

Solution : Uninstall this software or upgrade to a version newer than 3.0 build 488
Network Security Threat Level: High

Networks Security ID: 6515

Vulnerability Assessment Copyright: This script is Copyright (C) 2003-2006 Tenable Network Security

Cables, Connectors

Commodore Monitor Model 1702
$115.0
Commodore Monitor Model 1702 pictureCommodore Amiga "Amiga Desktop Video" 1st Edition 1989 Training Guide
$9.95
Commodore Amiga Miscellaneous Commodore 64 software, some working, some Atari
$5.0
Miscellaneous Commodore 64 software, some working, some Atari pictureVintage Commodore 1541 Floppy Disk Drive w/ Manual Cables Floppies
$119.99
Vintage Commodore 1541 Floppy Disk Drive w/ Manual Cables Floppies picture


Discussions

No Discussions have been posted on this vulnerability.